Register an AWB for tracking updates with Clickpost, given the AWB number, carrier partner ID, shipment information, pick-up and drop information, and additional details as input.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Sample Request
{
"waybill": "ABCDRESDEFGHIJKL1257679",
"cp_id": 1,
"key": "42d42a34-ae09-4693-b20c-ae2624218a329",
"account_code": "Fedex Domestic",
"consumer_details": {
"name": "Test Customer",
"phone": "8080808080",
"email": "[email protected]"
},
"shipment_info": {
"item": "Shirt",
"order_type": "COD",
"invoice_value": 1000,
"reference_number": "123XYZ",
"length": 10,
"height": 10,
"weight": 10,
"breadth": 10,
"drop_pincode": "110001",
"pickup_pincode": "110001",
"pickup_lat": 45.12211,
"pickup_long": 88.12342,
"drop_lat": 45.12211,
"drop_long": 88.12342,
"delivery_type": "FORWARD",
"cod_amount": 1000.10,
"drop_address": "Roots hacker Home, R 28, Second Floor, Nehru Enclace, Opposite Nehru Place, New Delhi 110001",
"additional": {
"items": [
{
"sku": "XYZ1",
"description": "item1",
"quantity": 1,
"price": 200,
"images": "<Image URL>",
"return_days": 2,
"additional": {
"length": 10,
"height": 10,
"breadth": 10,
"weight": 100
}
}
]
}
},
"additional": {
"order_date": "2017-02-14T18:00:00+05:30",
"ship_date": "2017-02-14T23:00:00+05:30",
"min_edd": 2,
"max_edd": 4,
"estimated_delivery_date": "2025-06-14",
"enable_whatsapp": false,
"order_id": "ORDER-12"
}
}Sample Response
{
"meta": {
"status": 200,
"message": "SUCCESS",
"success": true
},
"result": {
"consumer_details": {
"id": 475565855
},
"shipment_info": {
"id": 456652061
},
"tracking_id": 494235601,
"security_key": "35aae392-5009-436a-b29b-7ddb2db518ab"
}
}{
"meta": {
"status": 303,
"message": "Waybill already registered",
"success": false
}
}{
"meta": {
"status": 351,
"message": "Clickpost Account: Does not exist",
"success": false
}
}Important Links
Body Payload
Payload encapsulates details regarding the AWB to be registered, and its details
| Field Name | Data Type | Field | Description |
|---|---|---|---|
waybill | String | Mandatory | AWB to be registered |
cp_id | Integer | Mandatory | Carrier partner which should be tracking the AWB |
key | String | Mandatory | Unique license key for the enterprise user provided by Clickpost |
account_code | String | Mandatory | Courier partner account name configured on the Clickpost dashboard. |
consumer_details | Object | Optional | Details of the consumer |
shipment_info | Object | Optional | Details of the shipment to be registered |
pickup_info | Object | Optional | Details for pickup of the shipment |
drop_info | Object | Optional | Details for delivery of the shipment |
additional | Object | Optional | Additional optional fields |
Additional Fields (additional)
In the "additional" object optional fields can be passed which may be used by the carrier partner, or give additional details for the order.
| Field Name | Data Type | Field | Description |
|---|---|---|---|
enable_whatsapp | Boolean | Optional | If enterprise has WhatsApp for business account, they can pass opt-in information here so Clickpost starts sending out communications to customers |
order_date | String | Optional | Date of placing the order (in YYYY-MM-DD format) |
ship_date | String | Optional | Date of shipping the order (in YYYY-MM-DD format) |
language_code | String | Optional | ISO Alpha-3 Language code for the shipment |
min_edd | Integer | Optional | Minimum committed estimated delivery duration (in days) of the shipment |
max_edd | Integer | Optional | Maximum committed estimated delivery duration (in days) of the shipment |
channel_name | String | Optional | The channel through which the order was places. Example: Unicommerce, EasyEcom, Shopify, Retail Store |
zone | String | Optional | If you wish to club multiple pickup-drop pin-codes together for easier recommendation allocation rule or for better visibility on internal business metrics based on a collection of pin-codes, this field is handy. This can be configured in the Pricing section in courier partner account configuration section. (Settings>Courier>Integrations>Accounts> Configuration > Pricing) |
reseller_info | JSON Object | Optional | The reseller information to be passed |
name | String | Optional | The name of the reseller |
phone | String | Optional | The phone number of the reseller |
estimated_delivery_date | Date | Optional | The date of estimated delivery has been shared with the customer. This field can be used to measure carrier performance by comparing it with the actual date of delivery in the Clickpost reports To be provided in %Y-%m-%d, %Y-%m-%dT%H:%M:%S%z%Y-%m-%dT%H:%M:%S format only |
Shipment Details (shipment_details)
In the 'shipment_details' field, the details regarding all items, and important order details like payment type, order type, carrier partner, etc. are added.
| Field Name | Data Type | Field | Description |
|---|---|---|---|
items | List[Object] | Optional | List of items to be delivered in the shipment. Details of the items explained below. |
height | Float | Optional | Height of the overall package (in cms) |
width | Float | Optional | Width of the overall package (in cms) |
length | Float | Optional | Length of the overall package (in cms) |
weight | Float | Optional | Weight of the package (in gms) |
reference_number | String | Optional | Reference number of the order. Must be unique for every shipment, i.e. every call of this API. |
cod_value | Float | Optional | Cash to be given to the carrier (currency to be determined by currency_code). Must be non-zero for COD orders, and zero for PREPAID orders. |
order_id | String | Optional | Identification string for the order |
order_type | String | Optional | Type of payment of the shipment. Can only take values "COD" or "PREPAID". cod_value must be non-zero for COD shipments and zero for PREPAID shipments. |
invoice_value | Float | Optional | Value of the shipment as mentioned in the invoice. |
invoice_date | String | Optional | Date of issuance of the invoice of the shipment. (YYYY-MM-DD format only) |
pickup_lat | Float | Optional | Latitude of the pickup location. |
pickup_long | Float | Optional | Longitude of the pickup location. |
drop_lat | Float | Optional | Latitude of the drop location. |
drop_long | Float | Optional | Longitude of the drop location. |
Item Level details (items)
The details for each item to be delivered is passed in the "items" field, in "shipment_details".
| Field Name | Data Type | Field | Description |
|---|---|---|---|
cat | String | Optional | Category of the item in question |
description | String | Optional | Brief description of the item |
quantity | Integer | Optional | Number of units of the item |
weight | Float | Optional | Weight of each unit of the item |
price | Float | Optional | Price of each unit of the item (currency to be decided by 'currency_code' field) |
manufacture_country_code | String | Optional | Alpha-2 ISO Country code of manufacture of the item |
manufacture_country | String | Optional | Full country name of manufacture of the item |
sku | String | Optional | Stock-keeping unit of the item |
return_days | Integer | Optional | Number of days within which the item can be returned |
exchange_days | Integer | Optional | Number of days within which the item can be exchanged |
product_url | String | Optional | URL for the product. If there are multiple URLs, they can be sent as a single string with comma-separated values. |
images | String | Optional | URL for the image(s) of the product. If there are multiple URLs, they can be sent as a single string with comma-separated values. |
Response
The sample response can have the following fields
| Field Name | Data Type | Description |
|---|---|---|
meta | Object | Metadata for the result, e.g. status code, error messages. |
result | Object | Actual result of the request |
Response Meta
| Field Name | Data Type | Description |
|---|---|---|
status | Integer | Status code of the response (including, but not limited to HTTP Status codes) |
message | String | Error message (if any errors) for the request. |
success | Boolean | Whether the request is successful or not. |
Response Result
| Field Name | Data Type | Description |
|---|---|---|
tracking_id | Integer | Tracking ID of the newly registered waybill stored in our database. |
security_key | String | UUID string for the security key of the order |
shipment_info | Object or False | An object that contains only a single field: id that is the ID of the shipment. If shipment_info was not passed in the request body, it will be returned as Boolean False |
consumer_details | Object or False | An object that contains only a single field: id that is the ID of the consumer. If consumer_details was not passed in the request body, it will be returned as Boolean False |
